Jump to content
Sign in to follow this  
sickboy

Six Updater: Install/Update mods, missions. Delta patching. Server browser, and more!

Recommended Posts

Moving the mod folders to a common place is a good idea - I think I will do that - all this symlinking is looking messy! I can't see a real need for multiple mod paths except for when Arma 3 comes out - probably want to keep Arma3 mods separate from Arma2/ToH. Unless it can traverse sub directories so you have c:\mods\arma2, c:\mods\toh, c:\mods\arma3, c:\mods\carriercommand (the last one being wishful thinking!).

I am impressed with the versitility of Six. I could run rearmed from the moment the beta was released. I can run all flavours of Arma (including PR) and ToH just by selecting a drop down box. It absolutely amazes me that people are still asking how to use shortcuts and switches!

Share this post


Link to post
Share on other sites

Move modfolders in subfolder and you have to symlink only that one. :)

Like:

x:\mods\* -> c:\arma\mods\*

Share this post


Link to post
Share on other sites

I've just updated (build 2.9.5030) and now in standard ACE preset I see CBA_A2/CBA_OA and it offers me to install both, but I have CO and can't remove them from preset, it says:

13:48:14: Please confirm: Are you sure you want to remove @CBA_A2 from CUST - A2 OA - A.C.E.

13:48:16: Didn't find @CBA_A2. Perhaps it is a dependency for another mod or selected server

What should I do?

Share this post


Link to post
Share on other sites

I moved all my mods to a central folder (I:/mods as it happens) so that I can make use of them in both Arma 2 CO and Take On Helicopters : ReArmed. After doing so, I had a small problem with the Hinds DLC for Take on as it was now expecting to see that in central folder rather than in the ToH folder (which is as you would expect). So, I had to symlink Hinds from the ToH folder to the central folder and that got it working.

My central folder now has all my @Arma mods and all my @ToH mods and a symlink for Hinds to it's location in the ToH install folder. Six now works well with all the different flavours and I don't have to mess about with lots of symlinks or have multiple copies of mods.

Just thought I would mention it in case others are doing the same thing.

Lastly a quick question.

What happens with the 'userconfig' stuff? Do I need two copies for common mods, one in the Arma folder and one in the ToH folder?

Share this post


Link to post
Share on other sites

Good point about DLC's - but don't they load automatically as OA auto loading PMC and BAF? I guess thats what makes it work in OA, but perhaps makes it fail in TOH? Did you try not specifying the DLC? :P

Userconfig stuff - good question. I guess do what seems best for you. I personally would keep seperate userconfig files, and if anything, perhaps symlink some of the userconfig subfolders, like ACE, from TOH to the OA variant.

Share this post


Link to post
Share on other sites
Good point about DLC's - but don't they load automatically as OA auto loading PMC and BAF? I guess thats what makes it work in OA, but perhaps makes it fail in TOH? Did you try not specifying the DLC? :P

Userconfig stuff - good question. I guess do what seems best for you. I personally would keep seperate userconfig files, and if anything, perhaps symlink some of the userconfig subfolders, like ACE, from TOH to the OA variant.

I am currently keeping two copies of userconfig, so that's fine - they are tiny anyway and rarely change.

As for Hinds, ToH only loads the expansions automatically if you don't specify a -mod switch. If you specify a -mod switch then you have to load Hinds as part of that switch. So, if I don't add Hinds as a mod in Six then Hinds doesn't load (as I have other mods loading via -mod).

Not an issue for me as I have it sorted, but others may be confused.

Share this post


Link to post
Share on other sites

One of the self-update mirrors was down, but the issue should be resolved now.

Edited by Sickboy

Share this post


Link to post
Share on other sites
@Sickboy or anyone,

What do those whop are using the old 0.24.12 version which is a web-based interface for our game-servers update and get this all going? It will disable A2 and OA, and it currently does not have the current versions which is expected based on your comments.

Ill see to updating it, hopefully today https://dev-heaven.net/issues/30417.

While in the future a new web-interface might come with the next generation Six Updater.

---------- Post added at 10:00 ---------- Previous post was at 08:07 ----------

Ill see to updating it, hopefully today https://dev-heaven.net/issues/30417.

While in the future a new web-interface might come with the next generation Six Updater.

It seems the Sync issue already was present for months, while also the recently introduced new mod types were obviously not supported yet.

https://dev-heaven.net/issues/30417#note-3

I've dispatched legacy Six Updater Suite update: six-updater-web-0.24.13 gem, please restart the software, gem update should take care of updating to the new gem.

Make sure to synchronize with the portal after update.

Edited by Sickboy

Share this post


Link to post
Share on other sites
Ill see to updating it, hopefully today https://dev-heaven.net/issues/30417.

While in the future a new web-interface might come with the next generation Six Updater.

---------- Post added at 10:00 ---------- Previous post was at 08:07 ----------

It seems the Sync issue already was present for months, while also the recently introduced new mod types were obviously not supported yet.

https://dev-heaven.net/issues/30417#note-3

I've dispatched legacy Six Updater Suite update: six-updater-web-0.24.13 gem, please restart the software, gem update should take care of updating to the new gem.

Make sure to synchronize with the portal after update.

Thank you for the update Sickboy, everything is back to working like a charm, though I did figure out the way around it and was just ignoring the version information inaccuracy.

Share this post


Link to post
Share on other sites
Thank you for the update Sickboy, everything is back to working like a charm, though I did figure out the way around it and was just ignoring the version information inaccuracy.

Sure mate, NP! Thanks for confirmation

Share this post


Link to post
Share on other sites

Currently experiencing some issues with some of the SU mirrors, https://dev-heaven.net/issues/30738

the US mirror has ran into disk quota issues and has been set inactive until the issue has been resolved.

I have added an extra EU mirror to aid the situation.

Please sync with SU portal for updated configuration.

---------- Post added at 23:22 ---------- Previous post was at 22:34 ----------

Added another EU mirror - sry no extra US mirrors atm.

Please sync with SU portal for updated configuration.

Share this post


Link to post
Share on other sites

There was a bug that caused the out-of-date mirror yesterday to wreck havoc.

Fixed issues caused by out of sync mirrors: https://dev-heaven.net/issues/30748

Fixed issue with one of the EU mirrors.

New SU build released on auto-self-update and pre-release download section.

Edited by Sickboy

Share this post


Link to post
Share on other sites

One of the older US mirrors has been re-activated, courtesy of ATOW!

Share this post


Link to post
Share on other sites

Could somebody help regarding custom repositories?

I've checked the six site about zSync on windows but it is very limited in information,

What do I need to do to be able to download my own custom mods from a custom ftp/web server on Apache?

Share this post


Link to post
Share on other sites
Could somebody help regarding custom repositories?

I've checked the six site about zSync on windows but it is very limited in information,

What do I need to do to be able to download my own custom mods from a custom ftp/web server on Apache?

Heya, you should be able to find all needed info over at: http://www.six-projects.net/Six_Updater+CustomRepos_Setup

If in need of help, please review support options. There's a Skype groupchat linked for more realtime assistance.

Share this post


Link to post
Share on other sites
Heya, you should be able to find all needed info over at: http://www.six-projects.net/Six_Updater+CustomRepos_Setup

If in need of help, please review support options. There's a Skype groupchat linked for more realtime assistance.

I checked that page a few times, looked up .yml/.yaml setup, but that's the thing. I'm not fluent in web design and know nothing of it,

It's not even a webpage I'm setting up, I'm just using XAMPP to set up an FTP IP server so that I can, lets say, use this link in six by "Importing Server" so that I can download my custom repo/modpack

"sixupdater://127.0.0.1/TacticalKillersUnit.yml" for localhost, or"sixupdater://176.61.92.149/TacticalKillersUnit.yml" for external players.

Also, where is the skype groupchat on the website? Can't seen to find it on the side.

--Edit--

Got it working, however now the Download is on 0 B/s from my own FTP,

Anyway to increase this?

Edited by ColinM9991

Share this post


Link to post
Share on other sites
Got it working, however now the Download is on 0 B/s from my own FTP,

Anyway to increase this?

We resolved it yesterday on Skype - issue was using an unsupported version of Apache Webserver, which caused fallback to casual full-file-transfers, which at this time also don't support speed/progress report.

Share this post


Link to post
Share on other sites

I need a bit of help with the server launching tool. For some reason I can edit most values in the server tab such as password but I cannot fill in a name. When trying I get a flashing cursor for text entry but the text box doesn't respond to any input from my keyboard. Because of this I have no way of finding my launched server other than over IP. I've searched here and have not found an answer. Another question for when I get that resolved. Is there a way to make an admin password (not a server password) so I may log in as an admin to chose a mission, etc?

Share this post


Link to post
Share on other sites

If you want to use Six Updater to launch a server, you should read up on and create a server.cfg file and enter this file name in SU, Game Profile, config field. You can edit the other startup parameters in the Game Profile section as well. Also enable "Server" checkbox at Overrides or in the game profile.

Edited by Sickboy

Share this post


Link to post
Share on other sites

Hey all,

I cant seem to get six-updater to download CBA as I've only just realised we now need to use @CBA;@CBA_A2;@CBA_OA if we're running combined ops :o

Six is telling me that CBA_A2 and CBA_OA are "incompatible". I have CBA installed already and it shows as PASS status.

Also I don't have an @CBA_A2 or @CBA_OA folder in my A2 folder, as I haven't installed them previously.

Any ideas?

Share this post


Link to post
Share on other sites

@Grub: delete all folders of @CBA and just let SU download a fresh version..solved it for me!

Edit:nm

Edited by larsiano

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this  

×